# Enum ARPlaneDetection

java.lang.Object
java.lang.Enum<ARPlaneDetection>
com.codename1.ar.ARPlaneDetection

All Implemented Interfaces:
  `Comparable<ARPlaneDetection>`

public enum ARPlaneDetection extends Enum<ARPlaneDetection>
Which real-world surface orientations an `ARSession` should detect and report as `ARPlane`s.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HORIZONTAL`
  Detect horizontal surfaces such as floors and tables.
  `HORIZONTAL_AND_VERTICAL`
  Detect both horizontal and vertical surfaces.
  `NONE`
  Do not detect planes.
  `VERTICAL`
  Detect vertical surfaces such as walls.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `includesHorizontal()`
  True when this setting includes horizontal surfaces.
  `boolean`
  `includesVertical()`
  True when this setting includes vertical surfaces.
  `static ARPlaneDetection`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ARPlaneDetection[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final ARPlaneDetection NONE
    Do not detect planes.

  - ### HORIZONTAL

    public static final ARPlaneDetection HORIZONTAL
    Detect horizontal surfaces such as floors and tables.

  - ### VERTICAL

    public static final ARPlaneDetection VERTICAL
    Detect vertical surfaces such as walls.

  - ### HORIZONTAL_AND_VERTICAL

    public static final ARPlaneDetection HORIZONTAL_AND_VERTICAL
    Detect both horizontal and vertical surfaces.

- ## Method Details

  - ### values

    public static ARPlaneDetection[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ARPlaneDetection valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### includesHorizontal

    public boolean includesHorizontal()
    True when this setting includes horizontal surfaces.

  - ### includesVertical

    public boolean includesVertical()
    True when this setting includes vertical surfaces.